import request from '@/utils/request'

// 查询快递管理列表
export function listPmsExpress(query, pageReq) {
  return request({
    url: '/pms/express/list',
    method: 'post',
    data: query,
    params: pageReq
  })
}
export function allExpress(query, pageReq) {
  return request({
    url: '/pms/express/all',
    method: 'post',
    data: query,
    params: pageReq
  })
}

// 查询快递管理详细
export function getPmsExpress(id) {
  return request({
    url: '/pms/express/' + id,
    method: 'get'
  })
}

// 新增快递管理
export function addPmsExpress(data) {
  return request({
    url: '/pms/express',
    method: 'post',
    data: data
  })
}

// 修改快递管理
export function updatePmsExpress(data) {
  return request({
    url: '/pms/express',
    method: 'put',
    data: data
  })
}

// 删除快递管理
export function delPmsExpress(id) {
  return request({
    url: '/pms/express/' + id,
    method: 'delete'
  })
}

